@function zerofill($i) { @return #{str-slice("000",0,3 - str-length(#{$i}))}$i; }

@for $i from 1 through 5 {
  .building-item:nth-child(#{$i}) {
    z-index: 5 - $i;
  }
}

.building-top, .floor:before, .floor:after, .floor-bridge {
  background-position: center;
  background-repeat: no-repeat;
}

.floor:before, .floor:after {
  background-size: auto;
  background-repeat: repeat-y;
  background-position: bottom;
}

.building-top {
  background-size: 100% auto;
  &--001 {
    background-image: url('/static/images/building/materials/top-001.svg');
    padding-bottom: 44.26666667%;
  }

  &--002 {
    background-image: url('/static/images/building/materials/top-002.svg');
    padding-bottom: 14.4%;
  }

  &--003 {
    background-image: url('/static/images/building/materials/top-003.svg');
    padding-bottom: 10.4%;
  }

  &--004 {
    background-image: url('/static/images/building/materials/top-004.svg');
    padding-bottom: 16.8%;
  }

  &--nanxi-103 {
    background-image: url('/static/images/building/materials/top-nanxi-103.svg');
    padding-bottom: 32.5%;
  }

  &--nanxi-102 {
    background-image: url('/static/images/building/materials/top-nanxi-102.svg');
    padding-bottom: 20.2%;
  }

  &--nanxi-101 {
    background-image: url('/static/images/building/materials/top-nanxi-101.svg');
    padding-bottom: 12.6%;
  }

  &--tainan-321 {
    background-image: url('/static/images/building/materials/top-tainan-321.svg');
    padding-bottom: 20.5%;
  }

  &--tainan-322 {
    background-image: url('/static/images/building/materials/top-tainan-322.svg');
    padding-bottom: 127%;
  }

  &--taichung {
    background-image: url('/static/images/building/materials/chung-top.svg');
    padding-bottom: 23.5%;
  }

  &--TaipeiTianmu-151 {
    background-image: url('/static/images/building/materials/top-TaipeiTianmu-151.svg');
    padding-bottom: 10.5%;
  }

  &--TaipeiTianmu-152 {
    background-image: url('/static/images/building/materials/top-TaipeiTianmu-152.png');
    padding-bottom: 8.5%;
  }

  &--TaipeiStation-111 {
    background-image: url('/static/images/building/materials/top-TaipeiStation-111.svg');
    padding-bottom: 55.5%;
  }

  &--KaohsiungSanduo-301 {
    background-image: url('/static/images/building/materials/top-KaohsiungSanduo-301.svg');
    padding-bottom: 5.5%;
  }

  &--TainanZhongshan-311 {
    background-image: url('/static/images/building/materials/top-TainanZhongshan-311.svg');
    padding-bottom: 16.5%;
  }

  &--KaohsiungZuoying-351 {
    background-image: url('/static/images/building/materials/top-KaohsiungZuoying-351.svg');
    padding-bottom: 12.5%;
  }

  &--KaohsiungZuoying-352 {
    background-image: url('/static/images/building/materials/top-KaohsiungZuoying-352.svg');
    padding-bottom: 16.3%;
  }

  &--ChiayiChuiyang-331 {
    background-image: url('/static/images/building/materials/top-ChiayiChuiyang-331.svg');
    padding-bottom: 11.5%;
  }

  &--TaoyuanDayou-161 {
    background-image: url('/static/images/building/materials/top-TaoyuanDayou-161.svg');
    padding-bottom: 5.5%;
  }

  &--TaoyuanStation-171 {
    background-image: url('/static/images/building/materials/top-TaoyuanStation-171.svg');
    padding-bottom: 5.5%;
  }
}

.floor {
  &:before, &:after {
    content: '';
    display: block;
    width: 8.8%;
    padding-bottom: 16.2666666667%;
  }

  &:after {
    transform: scaleX(-1) translateZ(0);
  }

  &--wall {
    @for $i from 1 through 20 {
      $i: zerofill($i);

      &-#{$i}:before, &-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-#{$i}.svg');
      }
    }

    @for $i from 1 through 14 {
      &-chung-#{$i}:before, &-chung-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-chung-#{$i}.svg');
      }
    }

    @for $i from 1 through 9 {
      &-nanxi-101-#{$i}:before, &-nanxi-101-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-nanxi-101-#{$i}.svg');
      }
    }

    @for $i from 1 through 5 {
      &-nanxi-102-#{$i}:before, &-nanxi-102-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-nanxi-102-#{$i}.svg');
      }
    }

    @for $i from 1 through 8 {
      &-nanxi-103-#{$i}:before, &-nanxi-103-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-nanxi-103-#{$i}.svg');
      }
    }

    @for $i from 1 through 2 {
      &-tainan-321-#{$i}:before, &-tainan-321-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-tainan-321-#{$i}.svg');
      }
    }

    @for $i from 1 through 2 {
      &-tainan-321-#{$i}:before, &-tainan-321-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-tainan-321-#{$i}.svg');
      }
    }

    &-tainan-322-1:before, &-tainan-322-1:after {
      background-image: url('/static/images/building/materials/wall-tainan-322-1.svg');
    }

    @for $i from 1 through 8 {
      &-TaipeiTianmu-151-#{$i}:before, &-TaipeiTianmu-151-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TaipeiTianmu-151-#{$i}.svg');
      }
    }

    @for $i from 1 through 7 {
      &-TaipeiTianmu-152-#{$i}:before, &-TaipeiTianmu-152-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TaipeiTianmu-152-#{$i}.png');
      }
    }

    @for $i from 1 through 6 {
      &-TaipeiStation-111-#{$i}:before, &-TaipeiStation-111-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TaipeiStation-111-#{$i}.svg');
      }
    }

    @for $i from 1 through 3 {
      &-KaohsiungSanduo-301-#{$i}:before, &-KaohsiungSanduo-301-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-KaohsiungSanduo-301-#{$i}.svg');
      }
    }

    @for $i from 1 through 5 {
      &-TainanZhongshan-311-#{$i}:before, &-TainanZhongshan-311-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TainanZhongshan-311-#{$i}.svg');
      }
    }

    @for $i from 1 through 11 {
      &-KaohsiungZuoying-351-#{$i}:before, &-KaohsiungZuoying-351-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-KaohsiungZuoying-351-#{$i}.svg');
      }
    }

    @for $i from 1 through 6 {
      &-KaohsiungZuoying-352-#{$i}:before, &-KaohsiungZuoying-352-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-KaohsiungZuoying-352-#{$i}.svg');
      }
    }

    @for $i from 1 through 4 {
      &-ChiayiChuiyang-331-#{$i}:before, &-ChiayiChuiyang-331-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-ChiayiChuiyang-331-#{$i}.svg');
      }
    }

    @for $i from 1 through 9 {
      &-TaoyuanDayou-161-#{$i}:before, &-TaoyuanDayou-161-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TaoyuanDayou-161-#{$i}.svg');
      }
    }

    @for $i from 1 through 4 {
      &-TaoyuanStation-171-#{$i}:before, &-TaoyuanStation-171-#{$i}:after {
        background-image: url('/static/images/building/materials/wall-TaoyuanStation-171-#{$i}.svg');
      }
    }
  }

  &--wall-basement {
    &:before, &:after {
      background-image: url('/static/images/building/materials/wall-basement.svg');

    }
  }

  &--bottom, &--wall-basement {
    &:before, &:after {
      background-size: 100% auto;
      background-repeat: repeat-y;
    }
  }
}

.floor-bridge {
  position: absolute;
  right: 0;
  width: 17.6%;
  transform: translateX(50%) translateZ(0);
  height: 100%;
  z-index: 10;
  background-color: #fff;
  @for $i from 1 through 15 {
    $i: zerofill($i);
    &--#{$i} {
      background-image: url('/static/images/building/materials/bridge-#{$i}.svg');
    }
  }

  &--basement {
    background-image: url('/static/images/building/materials/bridge-basement.svg');
  }
}


.floor-content {
  background-position: center left;
  background-size: auto 100%;
  background-color: $color-sky-grey;
}

@for $i from 1 through 20 {
  $i: zerofill($i);
  .floor--bg-#{$i} .floor-content{
    background-image: url('/static/images/building/materials/floor-bg/#{$i}.svg');
  }
}
